Skip to content

Create barcode

Request

Creates a new Barcode record. Barcode resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
barcodeIdstring

Canonical unique identifier for the barcode.

Example:"123e4567-e89b-12d3-a456-426614174000"
extensionsobject

Vendor- or practice-specific extensions.

forIdstring

Identifier of the resource this barcode is associated with. Type depends on forType.

Example:"123e4567-e89b-12d3-a456-426614174000"
forTypestring

Type of resource this barcode is associated with (e.g., item, batch, patient).

Example:"CODE-001"
formatstring

Barcode symbology/format (e.g., CODE128, EAN13, QR).

Example:"CODE-001"
isActivebooleanrequired

Whether the barcode is currently active and usable.

Example:true
valuestringrequired

The encoded barcode value as a string.

Example:"CODE-001"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/barcode' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "barcodeId": "123e4567-e89b-12d3-a456-426614174000",
    "extensions": {},
    "forId": "123e4567-e89b-12d3-a456-426614174000",
    "forType": "CODE-001",
    "format": "CODE-001",
    "isActive": true,
    "value": "CODE-001"
  }'

Responses

Barcode created successfully

Bodyapplication/json
barcodeIdstringrequired

Canonical unique identifier for the barcode.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the barcode record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

forIdstringrequired

Identifier of the resource this barcode is associated with. Type depends on forType.

Example:"123e4567-e89b-12d3-a456-426614174000"
forTypestringrequired

Type of resource this barcode is associated with (e.g., item, batch, patient).

Example:"CODE-001"
formatstringrequired

Barcode symbology/format (e.g., CODE128, EAN13, QR).

Example:"CODE-001"
isActivebooleanrequired

Whether the barcode is currently active and usable.

Example:true
updatedAtstring, (date-time)required

Timestamp when the barcode record was last updated.

Example:"2025-01-01T00:00:00.000Z"
valuestringrequired

The encoded barcode value as a string.

Example:"CODE-001"
Response
{ "barcodeId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "forId": "123e4567-e89b-12d3-a456-426614174000", "forType": "CODE-001", "format": "CODE-001", "isActive": true, "updatedAt": "2025-01-01T00:00:00.000Z", "value": "CODE-001" }